Subject: [MEXT] Next steps with Binding revocation draft

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 04 Mar 2009 12:35:21 +0100

A WGLC has previously concluded for the binding revocation draft, while 
making the altcoa issue out-of-scope for the WG call. The issues brought 
up during WGLC have been addressed and the only issue pending resolution 
is thus the altcoa issue.

The current draft includes text to address the ALT-COA issue. We would 
like to confirm consensus on the proposed approach. Please send you 
comments to the ml before the 19 march. In case no issues with the 
proposed text are received, we will forward the document to the IESG 
after that.

Regards, Julien and marcelo

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Wed, 4 Mar 2009 15:17:59 -0500

Hi Marcelo,

What exactly is the consensus call on? In the current binding revocation
draft, section 8.1 (Home Agent sending a BRI) says

   o  The care-of address for the binding MUST be used as the
      destination address in the packet's IPv6 header, unless an
      Alternate Care-of Address mobility option is included in the
      Binding Revocation Indication.

Section 9.1.1 (LMA sending a BRI) says

   o  The care-of address for the binding MAY be used as the destination
      address in the packet's IPv6 header, unless an Alternate Care-of
      Address mobility option is included in the Binding Revocation
      Indication message.

I am not sure why one uses "MUST" while the other uses "MAY".

However, both the above sentences tell me that you should use the
care-of address in the binding cache entry as the destination address of
the BRI, unless there is an alternate care-of address option, in which
case, you use the address in the alternate care-of address option as the
destination address of the BRI.

This is inline with RFC 3775. If the consensus call is on the above two
paragraphs, then it is fine with me. I would still like to understand
why one uses "MUST" while the other uses "MAY".

Vijay

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of marcelo bagnulo braun
> Sent: Wednesday, March 04, 2009 3:35 AM
> To: mext
> Subject: [MEXT] Next steps with Binding revocation draft
> 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Fri, 6 Mar 2009 17:02:22 -0600

Hi Vijay,

Sorry for not responding earlier.
I guess both should have the same level of requirement. 
I do not see any problem making both of them as a "MUST". 

What do you think?  

Regards,
Ahmad

> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Wednesday, March 04, 2009 2:18 PM
> To: marcelo bagnulo braun; mext
> Cc: Muhanna, Ahmad (RICH1:2H10)
> Subject: RE: [MEXT] Next steps with Binding revocation draft
> 
> Hi Marcelo,
> 
> What exactly is the consensus call on? In the current binding 
> revocation draft, section 8.1 (Home Agent sending a BRI) says
> 
> However, both the above sentences tell me that you should use 
> the care-of address in the binding cache entry as the 
> destination address of the BRI, unless there is an alternate 
> care-of address option, in which case, you use the address in 
> the alternate care-of address option as the destination 
> address of the BRI.
> 
> This is inline with RFC 3775. If the consensus call is on the 
> above two paragraphs, then it is fine with me. I would still 
> like to understand why one uses "MUST" while the other uses "MAY".
> 
> Vijay
> 
>  
> 
> > From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> > Of marcelo bagnulo braun
> > A WGLC has previously concluded for the binding revocation draft, 
> > while making the altcoa issue out-of-scope for the WG call. 
> The issues 
> > brought up during WGLC have been addressed and the only 
> issue pending 
> > resolution is thus the altcoa issue.
> >

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Fri, 6 Mar 2009 18:17:07 -0500

Hi Ahmad, 

> From: Ahmad Muhanna [mailto:[email-masked]] 
> Sent: Friday, March 06, 2009 3:02 PM
> To: Vijay Devarapalli; marcelo bagnulo braun; mext

Sounds good.

Vijay